##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(sourcecodeviewer)

HEADERS += \
        $${GUI_SRC}/plugins/SourceCodeEditor/CPPSyntaxHighlighter.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/EditorConfig.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/EditorPlugin.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/FortranSyntaxHighlighter.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/PythonSyntaxHighlighter.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/SourceCodeEditor.h \
        $${GUI_SRC}/plugins/SourceCodeEditor/SyntaxHighlighter.h


SOURCES += \
        $${GUI_SRC}/plugins/SourceCodeEditor/CPPSyntaxHighlighter.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/EditorConfig.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/EditorPlugin.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/FortranSyntaxHighlighter.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/PythonSyntaxHighlighter.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/SourceCodeEditor.cpp \
        $${GUI_SRC}/plugins/SourceCodeEditor/SyntaxHighlighter.cpp
